7,991
Customers have downloaded this add-on 7,991 times.
    by Atlassian Labsfor Confluence Server 3.0 - 5.7.4
    Unsupported
    This add-on isn't formally supported, but you can ask a question via Atlassian Answers.

    Ask a question

    Unsupported
    This add-on isn't formally supported, but you can ask a question via Atlassian Answers.

    Ask a question

    SSL for Confluence

    Having trouble connecting Confluence to LDAPS, a mail server, or a different Atlassian product over SSL? Sick and tired of keytool import statements? Then this plugin is for you. It offers a simple admin UI for connecting to another resource over SSL.

    Please note that this plugin does not cover the use-case of running Conflunce over SSL; it's limited to importing SSL certs from other sites.

    Read more »Read less »

    Additional screenshots

    There are no additional screenshots.

    User reviews

    (9)
    Sign in to write a review »
    by Justin Stanford on 2016-06-21
    Need an update for 5.10.0. Looks like this hasn't been updated for years unfortunately so I'm not holding my breath.
    3 out of 3 found this review helpful
    Was this review helpful?YesNo
    by Richard Cross on 2016-05-05
    Where's the documentation? I've installed this, but can't find any way to add certificates.
    Was this review helpful?YesNo
    by Tom Jackson on 2014-05-05
    Super helpful. Would be awesome if you also showed expiration date. Expiry of certs is a common cause of headache. As handy as this is I still need to mess with keytool to troubleshoot expiration issues.
    2 out of 2 found this review helpful
    Was this review helpful?YesNo
    by Webqem Support on 2014-04-15
    After spending a little bit of time trying to import an SSL chain in to java after a certificate re-issuing caused SSL handshake/validation errors this plugin worked first attempt and certainly makes the process far easier.
    Was this review helpful?YesNo
    by Patrick van der Rijst [Avisi] on 2014-03-24
    Update for the latest Confluence please..
    11 out of 12 found this review helpful
    Was this review helpful?YesNo

    Pricing

    Support

    SSL for Confluence isn't formally supported.

    Versions

    Version 1.0 Confluence Server 3.0 - 5.7.4 Released 2012-02-24

    Summary

    Initial release

    Details

    This is an initial release.

    Installation

    1. Log into your Confluence instance as an admin.
    2. Click the admin dropdown and choose Add-ons. The Manage add-ons screen loads.
    3. Click Find new add-ons from the left-hand side of the page.
    4. Locate SSL for Confluence via search. Results include add-on versions compatible with your Confluence instance.
    5. Click Install to download and install your add-on.
    6. You're all set! Click Close in the Installed and ready to go dialog.

    Similar add-ons